.data-grid-wrapper {
    // flex: 1;
    position: relative;
    width: 100%;
    height: 100%;
    overflow: auto;
    display: flex;
    flex-direction: column;

    .data-grid-content {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        overflow: hidden;
        display: flex;
        flex-direction: column;
    }

    .toolbar {
        // height: 50px;
    }

    .data-grid-container {
        overflow: hidden;
        width: 100%;
        flex: 1;
        border: 1px solid var(--border);

        .ps__rail-x,
        .ps__rail-y {
            opacity: 0.8;
            z-index: 10;
        }

        .data-grid {
            box-sizing: border-box;
            border-collapse: collapse;

            .dg-header {
                display: flex;
                flex-direction: row;
                align-items: stretch;
                box-sizing: border-box;

                margin: 0;
                border: 0;
                padding: 0;

                position: sticky;
                top: 0;
                z-index: 3;

                .dg-header-item {
                    position: relative;
                    background-color: var(--background-color);
                    border-right: 1px solid var(--border);
                    box-sizing: border-box;


                    &.dg-header-sort {
                        cursor: pointer;

                        .dg-header-sort-icon {
                            padding-left: 5px;
                        }
                    }

                    &.dg-header-sorting {
                        .dg-cell {
                            background-color: var(--contrast-highlight);
                        }
                    }

                    .dg-cell {
                        vertical-align: middle;
                        font-weight: 600;
                        color: var(--text-color);
                        background: var(--bg-light);
                        word-break: break-all;
                        white-space: nowrap;
                        padding: 0.5rem;
                        box-sizing: border-box;
                        overflow: hidden;
                        text-overflow: ellipsis;
                        display: flex;
                        justify-content: space-between;

                        &.check-cell {
                            display: flex;
                            justify-content: center;
                            padding: 0.4rem;
                        }

                        div {
                            width: 100%;
                            overflow: hidden;
                            text-overflow: ellipsis;
                            white-space: nowrap;
                        }
                    }

                    .btn {
                        padding: 0.25rem;
                    }

                    .react-resizable {
                        position: relative;
                        background-clip: padding-box;

                        &:last-child {
                            .react-resizable-handle {
                                display: none;
                            }
                        }
                    }

                    .react-resizable-handle {
                        position: absolute;
                        top: 0;
                        right: -7px;
                        width: 12px;
                        height: 100%;
                        z-index: 1;
                        cursor: col-resize !important;

                        &:after {
                            position: absolute;
                            top: 0;
                            left: 5px;
                            bottom: 0;

                            display: block;
                            content: "";
                            width: 1px;
                            height: 100%;

                            z-index: 1;

                            transition: background-color 0.3s;

                            background-color: var(--border);
                        }

                        &:active:after,
                        &:hover:after {
                            left: 4px;
                            width: 3px;
                            background-color: var(--primary);
                        }
                    }
                }

                &.summary {
                    bottom: 0.5rem;

                    .dg-cell {
                        justify-content: space-between;
                    }
                }
            }

            .dg-body {
                // border-bottom: 1px solid var(--border);
            }

            .dg-row {
                display: flex;
                flex-direction: row;

                .dg-row-item {
                    background-color: var(--background-color);
                    border-right: 1px solid var(--border);
                    display: flex;
                    box-sizing: border-box;

                    .number {
                        text-align: right;
                    }

                    .trailing {
                        text-align: center;
                    }
                }

                .dg-cell {
                    flex: 1;
                    padding: 0.5rem;
                    box-sizing: border-box;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    word-break: break-all;
                    transition: background-color 0.3s;

                    &.check-cell {
                        display: flex;
                        justify-content: center;
                    }

                    &.no-cell {
                    }
                }

                &:nth-child(even) .dg-cell {
                    background-color: var(--contrast-light);
                }

                &:nth-child(even) .dg-row-sorting .dg-cell {
                    background-color: var(--contrast-lighter);
                }

                &:nth-child(odd) .dg-row-sorting .dg-cell {
                    background-color: var(--contrast-light);
                }

                &:last-child .dg-row-item {
                    border-bottom: 1px solid var(--border);
                }

                &:hover .dg-cell {
                    background-color: var(--contrast-highlight) !important;
                }
            }

            // freezeColumn
            .dg-freeze {
                z-index: 2;

                // left render
                position: relative;

                &::after {
                    content: '';
                    position: absolute;
                    top: 0;
                    right: -2px;
                    width: 1px;
                    height: 100%;
                    background-color: rgba(var(--border-rgb), .3);
                }
            }

            .dg-freeze-end {
                z-index: 2;
                right: 0;
                position: sticky !important;
                border-left: 3px solid rgba(var(--border-rgb), .3) !important;
            }
        }
    }
}
